- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# FCDAnimationChannel Class Reference
[COLLADA Document Object Model.]

A COLLADA animation channel. More...

`#include <FCDAnimationChannel.h>`

Inheritance diagram for FCDAnimationChannel:

List of all members.

## Public Member Functions
| FCDAnimationChannel (FCDocument *document, FCDAnimation *parent)
| Constructor: do not use directly.
virtual | ~FCDAnimationChannel ()
| Destructor.
FCDAnimationChannel * | Clone (FCDAnimationChannel *clone=NULL) const
| Copies the animation channel into a clone.
FCDAnimation * | GetParent ()
| Retrieves the animation sub-tree that contains the animation channel.
const FCDAnimation * | GetParent () const
| See above.
| DEPRECATED (3.05A, GetCurveCount and GetCurve(index)) void GetCurves() const
| Retrieves the list of animation curves contained within the channel.
size_t | GetCurveCount () const
| Retrieves the number of animation curves contained within the channel.
FCDAnimationCurve * | GetCurve (size_t index)
| Retrieves an animation curve contained within the channel.
const FCDAnimationCurve * | GetCurve (size_t index) const
| See above.
FCDAnimationCurve * | AddCurve ()
| Adds a new animation curve to this animation channel.

## Detailed Description

A COLLADA animation channel.

Each animation channel holds the animation curves for one animatable element, such as a single floating-point value, a 3D vector or a matrix.

See also:
  FCDAnimated

## Constructor & Destructor Documentation

FCDAnimationChannel::FCDAnimationChannel | ( | FCDocument * | document,
|  | FCDAnimation * | parent
| ) |

  | Constructor: do not use directly. Instead, call the FCDAnimation::AddChannel function. Parameters:
  | document | The COLLADA document that owns the animation channel.
  | parent | The animation sub-tree that contains the animation channel.

## Member Function Documentation

FCDAnimationCurve* FCDAnimationChannel::AddCurve | ( |  | ) |

| Adds a new animation curve to this animation channel. Returns: The new animation curve.

FCDAnimationChannel* FCDAnimationChannel::Clone | ( | FCDAnimationChannel * | clone = `NULL` | ) | const

  | Copies the animation channel into a clone. The clone may reside in another document. Parameters:
  | clone | The empty clone. If this pointer is NULL, a new animation channel will be created and you will need to release the returned pointer manually.
Returns: The clone.

FCDAnimationChannel::DEPRECATED | ( | 3. | 05A,
|  | GetCurveCount and | GetCurve(index)
| ) | const`[inline]`

| Retrieves the list of animation curves contained within the channel. Deprecated: Returns: The list of animation curves.

FCDAnimationCurve* FCDAnimationChannel::GetCurve | ( | size_t | index | ) | `[inline]`

  | Retrieves an animation curve contained within the channel. Parameters:
  | index | The index of the animation curve.
Returns: The animation curve at the given index. This pointer will be NULL if the index is out-of-bounds.

size_t FCDAnimationChannel::GetCurveCount | ( |  | ) | const`[inline]`

| Retrieves the number of animation curves contained within the channel. Returns: The number of animation curves.

FCDAnimation* FCDAnimationChannel::GetParent | ( |  | ) | `[inline]`

| Retrieves the animation sub-tree that contains the animation channel. Returns: The parent animation sub-tree.

The documentation for this class was generated from the following file:

- FCDocument/FCDAnimationChannel.h